core.node.services / TimestamperService

# TimestamperService

`interface TimestamperService`

Simple interface (for testing) to an abstract timestamping service. Note that this is not "timestamping" in the blockchain sense of a total ordering of transactions, but rather, a signature from a well known/trusted timestamping service over a transaction that indicates the timestamp in it is accurate. Such a signature may not always be necessary: if there are multiple parties involved in a transaction then they can cross-check the timestamp themselves.

### Types

Type | `object Type : ServiceType`

### Properties

identity | `abstract val identity: Party` The name+pubkey that this timestamper will sign with.

### Functions

timestamp | `abstract fun timestamp(wtxBytes: SerializedBytes<WireTransaction>): LegallyIdentifiable`

### Inheritors

Client | `class Client : TimestamperService`